Subject: RE: When using CYGWIN to telnet to an AIX machine I got the follo wing error" 0602-108 CYGWIN is not a recognized terminal type "
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Thu, 11 Jul 2002 16:45:27 -0400

Thank you.

setting TERM to xterm fixed the ERROR but it CAUSED a Different set of problems
while using "vi" editor. it created a cascading effect example(below) and made
editing files impossible. Other configuration settings On my NT workstation I
use CYGWIN shell to Telnet to LINUX -no problem and I am set with bash shell
when through CYGWIN I telnet to AIX  I am set up with korn shell and when I try
to use VI 

me@somewhere>export TERM=xterm  <-this fixes the ERROR message to go away
me@somewhere>vi somefile.txt
---the lines below will appear on the top of the CYGWIN shell as oppose to from
the bottom of the 
this is the first line
this is the second line  <-and this is where cursor is
this is the third line

--------------------------------------
problem: becomes the lines I am trying to edit have actually shifted down by one
--------------------------------------
---the lines below will not appear on the top of the CYGWIN shell unless I move
cursor from starting position left to right
this is the first line
this is the fiecond line  <-and this is what happens when I move cursors left to
right from starting cursor position the second line is actually first line
this is the third line

Any Ideas how can this problem be fixed

> -----Original Message-----
> From:	David Starks-Browning [SMTP:[email-masked]]
> Sent:	Wednesday, July 10, 2002 5:48 PM
> To:	[email-masked]
> Cc:	[email-masked]
> Subject:	When using CYGWIN to telnet to an AIX machine I got the
> following error" 0602-108 CYGWIN is not a recognized terminal type "
> 
> On Wednesday 10 Jul 02, [email-masked] writes:
> > No problems when teleneting to Linux and using VI. AIX Problems allows only
> to
> > scroll by line mode no page up or page down.  Is this configuration problem
> for
> > VI on CYGWIN is there way to fix it?
> 
> I recommend you use rxvt, then TERM will be set to xterm, which your
> AIX should be happy with.
> 
> If there isn't something about this in the FAQ already then I should
> add it.
> 
> Regards,
> David
> (Cygwin FAQ maintainer)
> 
	From:	Eric Hanchrow [SMTP:[email-masked]]
	Sent:	Wednesday, July 10, 2002 5:16 PM
	To:	[email-masked]
	Subject:	Re: When using CYGWIN to telnet to an AIX machine I got
the following error" 0602-108 CYGWIN is not a recognized terminal type "

	>>>>> "meshkp" == meshkp  <[email-masked]> writes:

	    meshkp> No problems when teleneting to Linux and using VI.  AIX
	    meshkp> Problems allows only to scroll by line mode no page up or
	    meshkp> page down.  Is this configuration problem for VI on CYGWIN
	    meshkp> is there way to fix it?

	The problem is that your AIX machine lacks a "terminfo" entry for
	Cygwin.

	You can probably get around it by changing the value of the TERM
	environment variable to something that AIX does support, and that is
	similar to Cygwin -- perhaps `xterm'.

	-- 
	PGP Fingerprint: 3E7B A3F3 96CA 8958 ACC5  C8BD 6337 0041 C01C 5276

	From:	Jonathan Fosburgh [SMTP:[email-masked]]
	Sent:	Wednesday, July 10, 2002 2:42 PM
	To:	[email-masked]
	Cc:	[email-masked]
	Subject:	Re: When using CYGWIN to telnet to an AIX machine I got
the following error" 0602-108 CYGWIN is not a recognized terminal type "

	On Wed, 10 Jul 2002 14:32:45 -0400
	[email-masked] wrote:

	> No problems when teleneting to Linux and using VI. AIX Problems allows
only to
	> scroll by line mode no page up or page down.  Is this configuration
problem for
	> VI on CYGWIN is there way to fix it?
	> 
	I sometimes have similar problems.  Things to look at:

	Check your $TERM on the AIX system. (Actually, now that I see the full
subject line of the message, this is definitely part of the problem)  Use vt100
or something similar.
	What shell are you using? This might affect some things, though I am not
too sure.
	Are you using stock vi that comes with AIX? It is definitely going to be
different than anything on your Linux or *BSD systems, which use elvis or vim or
something else and call it vi.  If you have the option, try installing vim
(there is probably a prebuilt version on Bull).

	-- 
	************************************************************************
	Jonathan Fosburgh                       |Certified AIX Administrator
	Software Systems Spec. III              |ICQ: 32742908
	Communications and Computer Services    |MSN: [email-masked]
	UT MD Anderson Cancer Center            |Jabber: [email-masked]
	Houston, TX                             |Yahoo: jefosburgh
	************************************************************************
>  

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/